Summary: Multimedia framework api
Name:    phonon
Version: 4.11.1
Release: 2%{?dist}
License: LGPLv2+
URL:     https://community.kde.org/Phonon
Source0: http://download.kde.org/stable/phonon/%{version}/phonon-%{version}.tar.xz
BuildRequires: cmake, gcc-c++, pkgconfig
BuildRequires: extra-cmake-modules, kf5-rpm-macros
BuildRequires: pkgconfig(glib-2.0), pkgconfig(libxml-2.0), pkgconfig(libpulse-mainloop-glib) > 0.9.15
BuildRequires: pkgconfig(Qt5DBus) pkgconfig(Qt5Designer) pkgconfig(Qt5OpenGL) pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(xcb)

%global __provides_exclude_from ^(^%{_qt5_plugindir}/.*\\.so)$



%description
%{summary}.

%package qt5
Summary: Multimedia framework api for Qt5
%{?_qt5:Requires: %{_qt5} >= %{_qt5_version}}
Recommends: phonon-qt5-backend-gstreamer

%description qt5
%{summary}.

%package qt5-devel
Summary: Developer files for %{name}-qt5
Requires: %{name}-qt5 = %{version}-%{release}

%description qt5-devel
%{summary}.



%prep
%autosetup -n phonon-%{version} -p1



%build
%cmake_kf5 \
  -DCMAKE_BUILD_TYPE:STRING="Release" \
  -DPHONON_BUILD_DECLARATIVE_PLUGIN:BOOL=ON \
  -DPHONON_BUILD_PHONON4QT5:BOOL=ON \
  -DPHONON_QT_IMPORTS_INSTALL_DIR=%{_qt5_importdir} \
  -DPHONON_QT_MKSPECS_INSTALL_DIR=%{_qt5_archdatadir}/mkspecs/modules \
  -DPHONON_QT_PLUGIN_INSTALL_DIR=%{_qt5_plugindir}/designer

%cmake_build



%install
%cmake_install

%find_lang %{name} --with-qt --all-name

mkdir -p %{buildroot}%{_qt5_plugindir}/phonon4qt5_backend



%check
export PKG_CONFIG_PATH="%{buildroot}%{_datadir}/pkgconfig:%{buildroot}%{_libdir}/pkgconfig${PKG_CONFIG_PATH:+:}${PKG_CONFIG_PATH}"
test "$(pkg-config --modversion phonon4qt5)" = "%{version}"



%files qt5 -f %{name}.lang
%license COPYING.LIB
%{_bindir}/phononsettings
%{_libdir}/libphonon4qt5.so.4*
%{_libdir}/libphonon4qt5experimental.so.4*
%{_qt5_plugindir}/designer/phononwidgets.so
%dir %{_qt5_plugindir}/phonon4qt5_backend/

%files qt5-devel
%{_libdir}/libphonon4qt5.so
%{_libdir}/libphonon4qt5experimental.so
%{_libdir}/pkgconfig/phonon4qt5.pc
%{_libdir}/cmake/phonon4qt5/
%dir %{_datadir}/phonon4qt5
%{_datadir}/phonon4qt5/buildsystem/
%{_includedir}/phonon4qt5/
%{_qt5_archdatadir}/mkspecs/modules/qt_phonon4qt5.pri



%changelog
* Wed Jan 17 2024 Rebuild Robot <rebot@opencloudos.org> - 4.11.1-2
- Rebuilt for glib2

* Wed Jul 19 2023 Zhao Zhen <jeremiazhao@tencent.com> - 4.11.1-1
- initial